Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name: 		hunspell-en
Summary: 	English hunspell dictionaries
%define upstreamid 20061130
Version: 	0.%{upstreamid}
Release: 	1
Source0: 	http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/en_US.zip
Source1: 	http://en-gb.pyxidium.co.uk/dictionary/en_GB.zip
Source2: 	http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/en_CA.zip
Group: 		Applications/Text
URL: 		http://en-gb.pyxidium.co.uk/dictionary
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License: 	LGPLv2+ and BSD
BuildArch: 	noarch

Requires: 	hunspell

%description
English (US, UK, etc.) hunspell dictionaries

%prep
%setup -q -c -n %{name}
%setup -q -T -D -a 1 -n %{name}
%setup -q -T -D -a 2 -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/myspell
chmod -x *
cp -p *.dic *.aff $RPM_BUILD_ROOT/%{_datadir}/myspell

pushd $RPM_BUILD_ROOT/%{_datadir}/myspell/
en_GB_aliases="en_AU en_BS en_BW en_BZ en_DK en_GH en_HK en_IE en_IN en_JM en_NA en_NG en_NZ en_SG en_TT en_ZA en_ZW"
for lang in $en_GB_aliases; do
	ln -s en_GB.aff $lang.aff
	ln -s en_GB.dic $lang.dic
done
en_US_aliases="en_PH"
for lang in $en_US_aliases; do
	ln -s en_US.aff $lang.aff
	ln -s en_US.dic $lang.dic
done
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README_en_US.txt README_en_GB.txt README_en_CA.txt
%{_datadir}/myspell/*

%changelog
* Thu Jan 24 2008 Christian Metzen <metzench@ccux-linux.de> 0.20061130-1
- Initial release
